<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AddressRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'longitude' => ['required_with:latitude','regex:/^[-]?(([0-8]?[0-9])\.(\d+))|(90(\.0+)?)$/'],
            'latitude' => ['required_with:longitude','regex:/^[-]?((((1[0-7][0-9])|([0-9]?[0-9]))\.(\d+))|180(\.0+)?)$/'],
            'state' => ['min:2', 'max:50'],
            'country' => ['min:2', 'max:50'],
            'city' => ['min:2', 'max:50'],
            'zip_code' => ['numeric', 'between:3,20'],
            'main_text' => ['min:2', 'max:200'],
            'secondary_text' => ['min:2', 'max:200'],
            'addressable_type' => ['required'],
            'addressable_id' => ['required', 'numeric']
        ];
    }
}
