<?php

namespace App\Http\Resources;

use App\Models\ParticipantsProject;
use Illuminate\Http\Resources\Json\JsonResource;

class SetProjectResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
      $general=  ParticipantsProject::query()->with('participantsProject')->where('project_id',$this->id)->where('role',ParticipantsProject::GENERAL_CONTRACTOR_ROLE)->first();
//        return parent::toArray($request);
        return [
            'id'=>$this->id,
            'name'=>$this->name,
            'reference_number'=>$this->reference_number,
            'type'=>$this->type,
            'style'=>$this->style,
            'condition'=>$this->condition,
            'priority'=>$this->priority,
            'about_project'=>$this->about_project,
            'projectable_type'=>$this->projectable_type,
            'projectable_id'=>$this->projectable_id,
            'start_date'=>$this->start_date,
            'end_date'=>$this->end_date,
            'images'=>ImageProjectResource::collection($this->images)??"",
            'address'=>[
                'id'=>$this->address->id??"",
                'longitude'=>$this->address->longitude??null,
                'latitude'=>$this->address->latitude??null,
                'country'=>$this->address->country??"",
                'state'=>$this->address->state??"",
                'city'=>$this->address->city??"",
                'zip_code'=>$this->address->zip_code??null,
                'main_text'=>$this->address->main_text??"",
                'secondary_text'=>$this->address->secondary_text??"",
            ],

             'owner'=>[
                'id'=>$this->owner->id??null,
                'first_name'=>$this->owner->first_name??null,
                'last_name'=>$this->owner->last_name??null,
                'email'=>$this->owner->email??"",
                'state'=>$this->owner->state??"",
                'city'=>$this->owner->city??"",
                'zip_code'=>$this->address->zip_code??null,
                'main_text'=>$this->address->main_text??"",
                'secondary_text'=>$this->address->secondary_text??"",
            ],
             'general_contractor'=>[
                'id'=>$this->generalContractor->id??null,
                'name'=>$this->generalContractor->name??"",
                'last_name'=>$this->generalContractor->last_name??"",
                'phone_number'=>$this->generalContractor->phone_number??"",
                'email'=>$this->generalContractor->email??"",
                'image'=>$this->generalContractor->image??"",
            ],
            'general_contractor_register'=>[
                'id'=>$general->participantsProject->id??null,
                'phone_number'=>$general->participantsProject->phone_number??null,
                'last_name'=>$general->participantsProject->last_name??"",
                'email'=>$general->participantsProject->email??"",
                'name'=>$general->participantsProject->name??"",
                'image'=>$general->participantsProject->image??"",
                'role_client'=>$general->participantsProject->role_client??"",
            ],
            'general_contractor_comment'=>SpesialProjectResource::collection($this->specialComments),

        ];

    }
}
