<?php

namespace App\Models\Admin\Structure;

use App\Models\Company;
use App\Models\Transaction;
use App\Models\User;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BillingPlan extends Model
{
    use HasFactory;

    /**
     * @var mixed
     */

    /**
     * @var mixed
     */

    protected $table = 'billing_plans';
    protected $guarded = [
        'id'
    ];

    public function transactions()
    {
        return $this->hasMany(Transaction::class);
    }

    public function users()
    {
        return $this->morphedByMany(User::class, 'client');
    }

    public function companies()
    {
        return $this->morphedByMany(Company::class, 'client');
    }


}
