<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCompaniesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('companies', function (Blueprint $table) {
            $table->id();
            $table->string('email')->unique();
            $table->string('password');
            $table->string('name')->nullable()->unique();
            $table->string('phone_number')->nullable();
            $table->text('image')->nullable();
            $table->foreignId('job_title_id')->nullable()->constrained('job_titles');
            $table->text('about_us')->nullable();
            $table->string('familiar_method')->nullable();
            $table->string('status')->default('pending');
            $table->integer('referral_code')->unique();
            //$table->integer('total_invitation')->default(0);
            //$table->integer('project_from_invitation')->default(0);
            //$table->integer('inviter_code')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('companies');
    }
}
